## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDocumentPrefixResolver::NamespaceNodesTreeWalker Class Reference

A utility class to walk the XalanDocument instance and look for attribute nodes that declare namespaces. More...

Inheritance diagram for XalanDocumentPrefixResolver::NamespaceNodesTreeWalker:

[legend]
Collaboration diagram for XalanDocumentPrefixResolver::NamespaceNodesTreeWalker:

[legend]
List of all members.

## Public Member Functions

- NamespaceNodesTreeWalker (NamespacesMapType &theMap)
- virtual ~NamespaceNodesTreeWalker ()

## Protected Member Functions

- virtual bool startNode (const XalanNode *node)
    Called when first walking a node.
- virtual bool startNode (XalanNode *node)
    Called when first walking a node.
- virtual bool endNode (const XalanNode *node)
    Called when leaving a node.
- virtual bool endNode (XalanNode *node)
    Called when leaving a node.

## Detailed Description

A utility class to walk the XalanDocument instance and look for attribute nodes that declare namespaces.

## Constructor & Destructor Documentation

XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::NamespaceNodesTreeWalker | ( | NamespacesMapType & | theMap | ) |

virtual XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::~NamespaceNodesTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::endNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::endNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::startNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::startNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

The documentation for this class was generated from the following file:

- XalanDocumentPrefixResolver.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.